package de.intevation.flys.client.shared.model;

import java.util.Date;

import com.smartgwt.client.widgets.grid.ListGridRecord;


/**
 * The CollectionRecord is a wrapper to put Collection objects into a ListGrid.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class CollectionRecord extends ListGridRecord {

    /** The artifact collection. */
    protected Collection collection;


    /**
     * The default constructor.
     *
     * @param collection The artifact collection.
     */
    public CollectionRecord(Collection collection) {
        this.collection = collection;
    }


    /**
     * Returns the date of the last modification.
     *
     * @return the last modification date.
     */
    public Date getDate() {
        return collection.getLastAccess();
    }


    /**
     * Returns the name of the collection.
     *
     * @return the name of the collection.
     */
    public String getName() {
        return collection.getName();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
